Decide permission policy for Annotations and Ontologies in Metacat
02/06/2010 10:55 PM - ben leinfelder

Status: New Start date: 02/06/2010
Target version: morpho-plugin-0.9.0 Spent time: 0.00 hour
Bugzilla-ld: 4771

Description

My proposal:

-public read on all Ontologies
-same permissions as EML for Annotations that annotate that EML

This will be set via the recently-new setAccess APl in Metacat.

History

#1 - 05/19/2010 04:06 PM - ben leinfelder

I'm pretty sure | can just pull the access xml from the EML and then call the setAccess() method with that xml fragment...we'll see!

#2 - 03/27/2013 02:28 PM - Redmine Admin
Original Bugzilla ID was 4771

#3 - 11/26/2013 08:51 AM - ben leinfelder

- Target version changed from Unspecified to morpho-plugin-0.9.0
